mkdocs_1.0.4+dfsg-1_all.deb


Advertisement

Description

mkdocs - Static site generator geared towards building project documentation

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename mkdocs_1.0.4+dfsg-1_all.deb
Package name mkdocs
Package version 1.0.4+dfsg
Package release 1
Package architecture all
Package type deb
Category universe/text
Homepage https://www.mkdocs.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 55.97 KB
Installed size 302.00 KB
MkDocs is a fast, simple and downright gorgeous static site generator
that's geared towards building project documentation. Documentation
source files are written in Markdown, and configured with a single YAML
configuration file.

Alternatives

Package Version Architecture Repository
mkdocs_1.0.4+dfsg-1_all.deb 1.0.4+dfsg all Ubuntu Universe
mkdocs - - -

Requires

Name Value
fonts-font-awesome -
libjs-bootstrap -
libjs-bootswatch -
libjs-jquery -
libjs-lunr -
libjs-modernizr -
python3-click -
python3-jinja2 -
python3-livereload >= 2.5.1-1~
python3-markdown >= 2.1.0
python3-pkg-resources -
python3-tornado -
python3-yaml -
python3:any -
sphinx-rtd-theme-common -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package mkdocs_1.0.4+dfsg-1_all.deb
Source Package python-mkdocs

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install mkdocs deb package:
    # sudo apt-get install mkdocs

Files

Path
/usr/bin/dh_mkdocs
/usr/bin/mkdocs
/usr/lib/python3/dist-packages/mkdocs/__init__.py
/usr/lib/python3/dist-packages/mkdocs/__main__.py
/usr/lib/python3/dist-packages/mkdocs/exceptions.py
/usr/lib/python3/dist-packages/mkdocs/plugins.py
/usr/lib/python3/dist-packages/mkdocs/theme.py
/usr/lib/python3/dist-packages/mkdocs-1.0.4.egg-info/PKG-INFO
/usr/lib/python3/dist-packages/mkdocs-1.0.4.egg-info/dependency_links.txt
/usr/lib/python3/dist-packages/mkdocs-1.0.4.egg-info/entry_points.txt
/usr/lib/python3/dist-packages/mkdocs-1.0.4.egg-info/not-zip-safe
/usr/lib/python3/dist-packages/mkdocs-1.0.4.egg-info/requires.txt
/usr/lib/python3/dist-packages/mkdocs-1.0.4.egg-info/top_level.txt
/usr/lib/python3/dist-packages/mkdocs/commands/__init__.py
/usr/lib/python3/dist-packages/mkdocs/commands/build.py
/usr/lib/python3/dist-packages/mkdocs/commands/gh_deploy.py
/usr/lib/python3/dist-packages/mkdocs/commands/new.py
/usr/lib/python3/dist-packages/mkdocs/commands/serve.py
/usr/lib/python3/dist-packages/mkdocs/config/__init__.py
/usr/lib/python3/dist-packages/mkdocs/config/base.py
/usr/lib/python3/dist-packages/mkdocs/config/config_options.py
/usr/lib/python3/dist-packages/mkdocs/config/defaults.py
/usr/lib/python3/dist-packages/mkdocs/contrib/__init__.py
/usr/lib/python3/dist-packages/mkdocs/contrib/search/__init__.py
/usr/lib/python3/dist-packages/mkdocs/contrib/search/prebuild-index.js
/usr/lib/python3/dist-packages/mkdocs/contrib/search/search_index.py
/usr/lib/python3/dist-packages/mkdocs/contrib/search/templates/search/lunr.js
/usr/lib/python3/dist-packages/mkdocs/contrib/search/templates/search/main.js
/usr/lib/python3/dist-packages/mkdocs/contrib/search/templates/search/worker.js
/usr/lib/python3/dist-packages/mkdocs/structure/__init__.py
/usr/lib/python3/dist-packages/mkdocs/structure/files.py
/usr/lib/python3/dist-packages/mkdocs/structure/nav.py
/usr/lib/python3/dist-packages/mkdocs/structure/pages.py
/usr/lib/python3/dist-packages/mkdocs/structure/toc.py
/usr/lib/python3/dist-packages/mkdocs/templates/sitemap.xml
/usr/lib/python3/dist-packages/mkdocs/themes/__init__.py
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/404.html
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/__init__.py
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/base.html
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/content.html
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/keyboard-modal.html
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/main.html
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/mkdocs_theme.yml
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/nav-sub.html
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/search-modal.html
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/toc.html
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/css/base.css
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/css/bootstrap-custom.min.css
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/css/font-awesome.min.css
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/fonts/FontAwesome.otf
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/fonts/fontawesome-webfont.eot
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/fonts/fontawesome-webfont.svg
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/fonts/fontawesome-webfont.ttf
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/fonts/fontawesome-webfont.woff
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/fonts/fontawesome-webfont.woff2
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/fonts/glyphicons-halflings-regular.eot
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/fonts/glyphicons-halflings-regular.svg
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/fonts/glyphicons-halflings-regular.ttf
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/fonts/glyphicons-halflings-regular.woff
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/fonts/glyphicons-halflings-regular.woff2
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/img/favicon.ico
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/img/grid.png
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/js/base.js
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/js/bootstrap-3.0.3.min.js
/usr/lib/python3/dist-packages/mkdocs/themes/mkdocs/js/jquery-1.10.2.min.js
/usr/lib/python3/dist-packages/mkdocs/themes/readthedocs/404.html
/usr/lib/python3/dist-packages/mkdocs/themes/readthedocs/__init__.py
/usr/lib/python3/dist-packages/mkdocs/themes/readthedocs/base.html
/usr/lib/python3/dist-packages/mkdocs/themes/readthedocs/breadcrumbs.html
/usr/lib/python3/dist-packages/mkdocs/themes/readthedocs/footer.html
/usr/lib/python3/dist-packages/mkdocs/themes/readthedocs/main.html
/usr/lib/python3/dist-packages/mkdocs/themes/readthedocs/mkdocs_theme.yml
/usr/lib/python3/dist-packages/mkdocs/themes/readthedocs/nav.html
/usr/lib/python3/dist-packages/mkdocs/themes/readthedocs/search.html
/usr/lib/python3/dist-packages/mkdocs/themes/readthedocs/searchbox.html
/usr/lib/python3/dist-packages/mkdocs/themes/readthedocs/toc.html
/usr/lib/python3/dist-packages/mkdocs/themes/readthedocs/versions.html
/usr/lib/python3/dist-packages/mkdocs/themes/readthedocs/css/theme.css
/usr/lib/python3/dist-packages/mkdocs/themes/readthedocs/css/theme_extra.css
/usr/lib/python3/dist-packages/mkdocs/themes/readthedocs/fonts/fontawesome-webfont.eot
/usr/lib/python3/dist-packages/mkdocs/themes/readthedocs/fonts/fontawesome-webfont.svg
/usr/lib/python3/dist-packages/mkdocs/themes/readthedocs/fonts/fontawesome-webfont.ttf
/usr/lib/python3/dist-packages/mkdocs/themes/readthedocs/fonts/fontawesome-webfont.woff
/usr/lib/python3/dist-packages/mkdocs/themes/readthedocs/img/favicon.ico
/usr/lib/python3/dist-packages/mkdocs/themes/readthedocs/js/jquery-2.1.1.min.js
/usr/lib/python3/dist-packages/mkdocs/themes/readthedocs/js/modernizr-2.8.3.min.js
/usr/lib/python3/dist-packages/mkdocs/themes/readthedocs/js/theme.js
/usr/lib/python3/dist-packages/mkdocs/utils/__init__.py
/usr/lib/python3/dist-packages/mkdocs/utils/filters.py
/usr/lib/python3/dist-packages/mkdocs/utils/ghp_import.py
/usr/lib/python3/dist-packages/mkdocs/utils/meta.py
/usr/share/doc/mkdocs/changelog.Debian.gz
/usr/share/doc/mkdocs/copyright
/usr/share/lintian/overrides/mkdocs
/usr/share/man/man1/dh_mkdocs.1.gz
/usr/share/man/man1/mkdocs.1.gz
/usr/share/perl5/Debian/Debhelper/Sequence/mkdocs.pm

Changelog

2018-12-19 - Dmitry Shachnev <mitya57@debian.org>
python-mkdocs (1.0.4+dfsg-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* Disable non-English search support. The lunr-languages library is
unmaintained upstream and incompatible with the latest lunr.js, which
we are going to use.
* Also remove lunr-languages from the tarball, these files are not in
the preferred form of modification.
* Refresh 0001-Use-themes-from-usr-share-mkdocs-themes.patch.
* Add dh_mkdocs helper script, that can automatically symlink static
files and remove usage of external highlight.js.
* Call dh_mkdocs during build to fixup highlight.js usage.
* Remove usage of fonts.googleapis.com in readthedocs theme.
* Use packaged libjs-lunr.
* Override false-positive Lintian warning about privacy-breach-generic
in the theme templates (it is not present in the built documentation).
* Upload to unstable (closes: #907256).
2018-08-25 - Dmitry Shachnev <mitya57@debian.org>
python-mkdocs (1.0.2+dfsg-1) experimental; urgency=medium
* Team upload.
* New upstream release.
* Update Files-Excluded in preparation for packaging 1.0 release.
* Drop patches, applied upstream:
- 0001-Do-not-specify-maximum-version-of-tornado.patch
- 0003-Make-test_doc_dir_in_site_dir-work-with-custom-build.patch
- 0007-Make-test_deploy_error-pass-when-Git-is-not-installe.patch
* Refresh, rebase and renumber other patches.
* Disable the Markdown GitHub links extension until it is packaged.
* Stop removing highlight.js/LICENSE, it is no longer shipped.
* Disable a test line that asserts that the fonts directory exists,
it is not the case with our repacked tarballs.
* In mkdocs-doc, replace usage of external highlight.js with packaged
version using sed.
* Update mkdocs.links and mkdocs-doc.links for the new release.
* Drop no longer needed dependencies on mustache and requirejs.
* Suggest nodejs, needed for pre-building search index.
* Drop debian/missing-sources/lunr.js, upstream now ships non-minified
version on lunr.
* Update debian/copyright.
* Add mkdocs.egg-info/ to debian/clean.
* Drop debian/py3dist-overrides, no longer needed.
* Stop documenting the removed json command in the manpage.
2018-07-06 - Dmitry Shachnev <mitya57@debian.org>
python-mkdocs (0.17.5+dfsg-1) unstable; urgency=medium
* Team upload.
* New upstream release (fixes Python 3.7 compatibility).
* Refresh 0002-Use-themes-from-usr-share-mkdocs-themes.patch.
* Do not install tests.
* Bump Standards-Version to 4.1.5, no changes needed.
2018-06-22 - Dmitry Shachnev <mitya57@debian.org>
python-mkdocs (0.17.4+dfsg-2) unstable; urgency=medium
* Team upload.
* Symlink bootstrap-custom.min.css to the version of Bootstrap from
Cerulean theme of bootswatch package (closes: #901741). It was
originally copied from version 3.0.3+1 of bootswatch.
2018-06-11 - Dmitry Shachnev <mitya57@debian.org>
python-mkdocs (0.17.4+dfsg-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* Ship our own version of /usr/bin/mkdocs script.
We cannot rely on entry points, because pkg_resources import must
happen after sys.path is altered in mkdocs/__init__.py. If it happens
earlier then mkdocs will not see the custom themes.

See Also

Package Description
mkelfimage_2.7-7build1_amd64.deb utility to create ELF boot images from Linux kernel images
mkgmap-splitter_0.0.0+svn592-1_all.deb Tile splitter for mkgmap
mkgmap_0.0.0+svn4262-1_all.deb Generate Garmin maps from OpenStreetMap data
mkgmapgui_1.1.ds-10_all.deb Graphical User Interface for mkgmap
mklibs-copy_0.1.44_amd64.deb Shared library reduction script
mklibs_0.1.44_all.deb Shared library reduction script
mknfonts.tool_0.5-12build1_amd64.deb Create nfont packages for GNUstep
mkosi_4-1_all.deb create legacy-free OS images
mksh_57-1_amd64.deb MirBSD Korn Shell
mktorrent_1.1-1_amd64.deb simple command line utility to create BitTorrent metainfo files
mkvtoolnix-gui_31.0.0-1_amd64.deb Set of tools to work with Matroska files - GUI frontend
mkvtoolnix_31.0.0-1_amd64.deb Set of command-line tools to work with Matroska files
ml-burg_110.79-4_amd64.deb Code generator for Standard ML
ml-lex_110.79-4_amd64.deb Lexical analyzer generator for Standard ML
ml-lpt_110.79-4_amd64.deb SML/NJ language processing tools
Advertisement
Advertisement